---
search:
  tags:
    - V1
    - GET
seo:
  description: >-
    Fetch a prompt by name. Reference for the GET
    /v1/projects/{projectId}/prompts/{name} endpoint in the Judgeval API.
sidebar:
  label: Fetch prompt
  badge: GET
title: Fetch prompt
type: openapi-operation
---
Fetch a prompt by name

`GET /v1/projects/{projectId}/prompts/{name}`

**Responses**

- `200` — Response for status 200
- `400` — Response for status 400
- `404` — Response for status 404

Response example, 200:

```json
{
  "commit": {
    "name": "string",
    "prompt": "string",
    "tags": [
      "string"
    ],
    "commit_id": "string",
    "parent_commit_id": "string",
    "created_at": "string",
    "first_name": "string",
    "last_name": "string",
    "user_email": "string"
  }
}
```
